#ifndef JUBABOX_API_JUBABOX_H
#define JUBABOX_API_JUBABOX_H

#include "vars.h"

// A very simple jubabox class
class JubaBox {
public:
    JubaBox();
    ~JubaBox();
    long jubabox_api(CVars in, CVars &out);
    const char* cfgReadChar(const char *parameter);
    long cfgReadLong(const char *parameter);
    void logMessage(const char *message);
private:
    FILE* pFile;
    int db;
};

#endif /* JUBABOX_API_JUBABOX_H */
